Subject: Re: [TI994A] Digest Number 589

From: Brian Tristam Williams <[email-masked]>
Date: Thu, 19 May 2011 11:58:17 +0200

I definitely prefer bottom-up. Unless you specifically need your routine or
program to run from XB, just pretend there's no BASIC in the console.

Maybe I'm a bit extreme, but I also tend to pretend that there is no GPL
interpreter or any M/L routines in ROM, preferring to write everything
myself. But if you're in a pinch for space, you may want to use the built-in
floating point routines, etc.

On 18 May 2011 10:15, <[email-masked]> wrote:

>   TI994A
> <http://groups.yahoo.com/group/TI994A;_ylc=X3oDMTJlN3BsdGl1BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDaGRyBHNsawNocGgEc3RpbWUDMTMwNTcwNjUwNQ-->
>  Messages In This Digest (7 Messages)
>  1a.  Assembly Programming <#130022c23641f8df_1a> From: violajamison 1b.  Re:
> Assembly Programming <#130022c23641f8df_1b> From: Marc Hull 1c.  Re:
> Assembly Programming <#130022c23641f8df_1c> From: Tursi 1d.  Re: Assembly
> Programming <#130022c23641f8df_1d> From: mark wills 1e.  Re: Assembly
> Programming <#130022c23641f8df_1e> From: Jeffrey White 1f.  Re: Assembly
> Programming <#130022c23641f8df_1f> From: killroy732000  2a.  Re: Death of
> 99er.net forums <#130022c23641f8df_2a> From: ti994a.geo
>  View All Topics<http://groups.yahoo.com/group/TI994A/messages;_ylc=X3oDMTJncGVwMGRoBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZG1zZwRzbGsDYXRwYwRzdGltZQMxMzA1NzA2NTA1?xm=1&m=p&tidx=1>| Create
> New Topic<http://groups.yahoo.com/group/TI994A/post;_ylc=X3oDMTJnNDVjcHRzBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZG1zZwRzbGsDbnRwYwRzdGltZQMxMzA1NzA2NTA1>
>  Messages
>  1a.   Assembly Programming
> <http://groups.yahoo.com/group/TI994A/message/6225;_ylc=X3oDMTJyZmtyOGpoBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI1BHNlYwNkbXNnBHNsawN2bXNnBHN0aW1lAzEzMDU3MDY1MDU-> Posted
> by: "violajamison" [email-masked]
> <[email-masked]?Subject=+Re%3A%20Assembly%20Programming>   violajamison
> <http://profiles.yahoo.com/violajamison>  Tue May 17, 2011 7:35 am (PDT)
>
>
> I'm about to venture into assembly. I have a question -
>
> Do assembly programmers actually program (from scratch) in assembly or do
> they first write a program in basic/xbasic and convert it to assembly?
>
> Is it the same metod of programming (top/down) in assembly?
>
> Could I get some input from assembly programmers also if there's any
> recommendations you can make regarding learing assembly programming?
>
> Thank you,
>
>   Back to top <#130022c23641f8df_toc>
>  Reply to sender
> <[email-masked]?Subject=Re%3A%20Assembly%20Programming> | Reply to
> group <[email-masked]?Subject=+Re%3A%20Assembly%20Programming> | Reply
> via web post
> <http://groups.yahoo.com/group/TI994A/post;_ylc=X3oDMTJyZDhtNHQwBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI1BHNlYwNkbXNnBHNsawNycGx5BHN0aW1lAzEzMDU3MDY1MDU-?act=reply&messageNum=6225>
>  Messages in this topic
> <http://groups.yahoo.com/group/TI994A/message/6225;_ylc=X3oDMTM2YzZyOWNmBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI1BHNlYwNkbXNnBHNsawN2dHBjBHN0aW1lAzEzMDU3MDY1MDUEdHBjSWQDNjIyNQ-->(6)
>  1b.   Re: Assembly Programming
> <http://groups.yahoo.com/group/TI994A/message/6226;_ylc=X3oDMTJyamxzaTlrBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI2BHNlYwNkbXNnBHNsawN2bXNnBHN0aW1lAzEzMDU3MDY1MDU-> Posted
> by: "Marc Hull" [email-masked]
> <[email-masked]?Subject=+Re%3A%20Assembly%20Programming>   [email-masked]
> <http://profiles.yahoo.com/[email-masked]>  Tue May 17, 2011
> 9:20 am (PDT)
>
>
> I find it easier to start from scratch.  One of the issues I had was trying
> to get away from the comfort level of XB and how it insulates a programmer
> from many tasks.  Perhaps a clean break will work for you as well.
>
> As far as how you program... that depends on your style.  You basically
> have assembly equivalents of gotos, and gosubs.  You might want to get into
> the early habit of breaking your program up into different source files.
> May not seem like much now but down the road you will appreciate it.
>
> As far as learning 9900 assembly right now ?  Kind of like learning Latin
> ;-).  You will have to learn three major subjects.  Obviously 9900 syntax
> but also the lay out of the TI99 as well as how to use the assembler.
>
> You should get a copy of the E/A reference manual for starters and learn
> how to use the editor and assembler especially the assembler directives.  It
> is a great reference but a poor teacher at best.  I found the Compute book
> most helpful but there are several.  The best resource is really the Y!
> groups and the Atari Age Forum (just be ready to sift through differing
> opinions ;-).  My suggest is baby steps at first using examples and the
> console utilities.  Progress from there.
>
> Good luck and keep us posted.
>
> --- On Tue, 5/17/11, violajamison <[email-masked]> wrote:
>
> From: violajamison <[email-masked]>
> Subject: [TI994A] Assembly Programming
> To: [email-masked]
> Date: Tuesday, May 17, 2011, 9:35 AM
>
>
>
> I'm about to venture into assembly. I have a question -
>
> Do assembly programmers actually program (from scratch) in assembly or do
> they first write a program in basic/xbasic and convert it to assembly?
>
> Is it the same metod of programming (top/down) in assembly?
>
> Could I get some input from assembly programmers also if there's any
> recommendations you can make regarding learing assembly programming?
>
> Thank you,
>
>   Back to top <#130022c23641f8df_toc>
>  Reply to sender
> <[email-masked]?Subject=Re%3A%20Assembly%20Programming> | Reply
> to group <[email-masked]?Subject=+Re%3A%20Assembly%20Programming>| Reply
> via web post
> <http://groups.yahoo.com/group/TI994A/post;_ylc=X3oDMTJybjZiNnI5BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI2BHNlYwNkbXNnBHNsawNycGx5BHN0aW1lAzEzMDU3MDY1MDU-?act=reply&messageNum=6226>
>  Messages in this topic
> <http://groups.yahoo.com/group/TI994A/message/6225;_ylc=X3oDMTM2ZjJuY2hnBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI2BHNlYwNkbXNnBHNsawN2dHBjBHN0aW1lAzEzMDU3MDY1MDUEdHBjSWQDNjIyNQ-->(6)
>  1c.   Re: Assembly Programming
> <http://groups.yahoo.com/group/TI994A/message/6227;_ylc=X3oDMTJyMDgzZDU0BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI3BHNlYwNkbXNnBHNsawN2bXNnBHN0aW1lAzEzMDU3MDY1MDU-> Posted
> by: "Tursi" [email-masked]
> <[email-masked]?Subject=+Re%3A%20Assembly%20Programming>   tursi1
> <http://profiles.yahoo.com/tursi1>  Tue May 17, 2011 1:23 pm (PDT)
>
>
> I've actually done both, but more frequently I code the assembly from
> scratch. Otherwise you are writing the program twice, since conversion is
> not direct.
>
> The Compute Book to Assembly Language is my favourite for learning on the
> TI, I'm on the road so someone will have to help with a link, but if it
> doesn't come up before I get home I will find it for you, there is a PDF
> version floating around.
>
> -----Original Message-----
> From: violajamison
> Sent: Tuesday, May 17, 2011 7:35 AM
> To: [email-masked]
> Subject: [TI994A] Assembly Programming
>
> I'm about to venture into assembly. I have a question -
>
> Do assembly programmers actually program (from scratch) in assembly or do
> they first write a program in basic/xbasic and convert it to assembly?
>
> Is it the same metod of programming (top/down) in assembly?
>
> Could I get some input from assembly programmers also if there's any
> recommendations you can make regarding learing assembly programming?
>
> Thank you,
>
> ------------------------------------
>
> Yahoo! Groups Links
>
>   Back to top <#130022c23641f8df_toc>
>  Reply to sender
> <[email-masked]?Subject=Re%3A%20Assembly%20Programming> | Reply
> to group <[email-masked]?Subject=+Re%3A%20Assembly%20Programming>| Reply
> via web post
> <http://groups.yahoo.com/group/TI994A/post;_ylc=X3oDMTJyMGliYmZpBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI3BHNlYwNkbXNnBHNsawNycGx5BHN0aW1lAzEzMDU3MDY1MDU-?act=reply&messageNum=6227>
>  Messages in this topic
> <http://groups.yahoo.com/group/TI994A/message/6225;_ylc=X3oDMTM2a3Q4ZXMyBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI3BHNlYwNkbXNnBHNsawN2dHBjBHN0aW1lAzEzMDU3MDY1MDUEdHBjSWQDNjIyNQ-->(6)
>  1d.   Re: Assembly Programming
> <http://groups.yahoo.com/group/TI994A/message/6228;_ylc=X3oDMTJybW45MzhkBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI4BHNlYwNkbXNnBHNsawN2bXNnBHN0aW1lAzEzMDU3MDY1MDU-> Posted
> by: "mark wills" [email-masked]
> <[email-masked]?Subject=+Re%3A%20Assembly%20Programming>   markrobertwills
> <http://profiles.yahoo.com/markrobertwills>  Tue May 17, 2011 2:38 pm
> (PDT)
>
>
> It's on planet-99.net - use the search facility and search for compute
>
> Mark
>
> >________________________________
> >From: Tursi <[email-masked]>
> >To: [email-masked]
> >Sent: Tuesday, 17 May 2011, 21:23
> >Subject: Re: [TI994A] Assembly Programming
> >
> >I've actually done both, but more frequently I code the assembly from
> >scratch. Otherwise you are writing the program twice, since conversion is
> >not direct.
> >
> >The Compute Book to Assembly Language is my favourite for learning on the
> >TI, I'm on the road so someone will have to help with a link, but if it
> >doesn't come up before I get home I will find it for you, there is a PDF
> >version floating around.
> >
> >-----Original Message-----
> >From: violajamison
> >Sent: Tuesday, May 17, 2011 7:35 AM
> >To: [email-masked]
> >Subject: [TI994A] Assembly Programming
> >
> >I'm about to venture into assembly.  I have a question -
> >
> >Do assembly programmers actually program (from scratch) in assembly or do
> >they first write a program in basic/xbasic and convert it to assembly?
> >
> >Is it the same metod of programming (top/down) in assembly?
> >
> >Could I get some input from assembly programmers also if there's any
> >recommendations you can make regarding learing assembly programming?
> >
> >Thank you,
> >
> >
> >
> >
> >------------------------------------
> >
> >Yahoo! Groups Links
> >
> >
> >
> >
> >
> >------------------------------------
> >
> >Yahoo! Groups Links
> >
> >
> >
> >
> >
> >
>   Back to top <#130022c23641f8df_toc>
>  Reply to sender
> <[email-masked]?Subject=Re%3A%20Assembly%20Programming> | Reply
> to group <[email-masked]?Subject=+Re%3A%20Assembly%20Programming>| Reply
> via web post
> <http://groups.yahoo.com/group/TI994A/post;_ylc=X3oDMTJydWw5djVvBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI4BHNlYwNkbXNnBHNsawNycGx5BHN0aW1lAzEzMDU3MDY1MDU-?act=reply&messageNum=6228>
>  Messages in this topic
> <http://groups.yahoo.com/group/TI994A/message/6225;_ylc=X3oDMTM2cWZjNDZuBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI4BHNlYwNkbXNnBHNsawN2dHBjBHN0aW1lAzEzMDU3MDY1MDUEdHBjSWQDNjIyNQ-->(6)
>  1e.   Re: Assembly Programming
> <http://groups.yahoo.com/group/TI994A/message/6230;_ylc=X3oDMTJybTgxaHZkBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjMwBHNlYwNkbXNnBHNsawN2bXNnBHN0aW1lAzEzMDU3MDY1MDU-> Posted
> by: "Jeffrey White" [email-masked]
> <[email-masked]?Subject=+Re%3A%20Assembly%20Programming>   jhwhite_delphi
> <http://profiles.yahoo.com/jhwhite_delphi>  Tue May 17, 2011 7:13 pm (PDT)
>
>
>
> Is BASIC the only computer programming language you haved used?
>
> You can do top/down or bottom/up programming in assembly (or BASIC, for
> that
> matter).  For assembly, I would suggest bottom/up.
>
> I would also suggest using BASIC or Extended BASIC to test your assembly
> routines.
>
> Bruce Harrison's assembly language series in MICROpendium is a good place
> to
> start learning.
>
> Jeff White
>
> ________________________________
> From: violajamison <[email-masked]>
> To: [email-masked]
> Sent: Tue, May 17, 2011 10:35:02 AM
> Subject: [TI994A] Assembly Programming
>
>
> I'm about to venture into assembly. I have a question -
>
> Do assembly programmers actually program (from scratch) in assembly or do
> they
> first write a program in basic/xbasic and convert it to assembly?
>
> Is it the same metod of programming (top/down) in assembly?
>
> Could I get some input from assembly programmers also if there's any
> recommendations you can make regarding learing assembly programming?
>
> Thank you,
>   Back to top <#130022c23641f8df_toc>
>  Reply to sender
> <[email-masked]?Subject=Re%3A%20Assembly%20Programming> | Reply to
> group <[email-masked]?Subject=+Re%3A%20Assembly%20Programming> | Reply
> via web post
> <http://groups.yahoo.com/group/TI994A/post;_ylc=X3oDMTJyMWRtMjZ2BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjMwBHNlYwNkbXNnBHNsawNycGx5BHN0aW1lAzEzMDU3MDY1MDU-?act=reply&messageNum=6230>
>  Messages in this topic
> <http://groups.yahoo.com/group/TI994A/message/6225;_ylc=X3oDMTM2bjkxOXJqBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjMwBHNlYwNkbXNnBHNsawN2dHBjBHN0aW1lAzEzMDU3MDY1MDUEdHBjSWQDNjIyNQ-->(6)
>  1f.   Re: Assembly Programming
> <http://groups.yahoo.com/group/TI994A/message/6231;_ylc=X3oDMTJyM2hyb3RmBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjMxBHNlYwNkbXNnBHNsawN2bXNnBHN0aW1lAzEzMDU3MDY1MDU-> Posted
> by: "killroy732000" [email-masked]
> <[email-masked]?Subject=+Re%3A%20Assembly%20Programming>   killroy732000
> <http://profiles.yahoo.com/killroy732000>  Tue May 17, 2011 11:21 pm (PDT)
>
>
>
> You can find the Compute Book (PDF) and plenty of other books/information
> in the below thread:
>
>
> http://www.atariage.com/forums/topic/153704-ti-994a-development-resources/page__view__findpost__p__1881598
>
> retroclouds
>
> --- In [email-masked], "Tursi" <yahoogroup@...> wrote:
> >
> > I've actually done both, but more frequently I code the assembly from
> > scratch. Otherwise you are writing the program twice, since conversion is
>
> > not direct.
> >
> > The Compute Book to Assembly Language is my favourite for learning on the
>
> > TI, I'm on the road so someone will have to help with a link, but if it
> > doesn't come up before I get home I will find it for you, there is a PDF
> > version floating around.
> >
> > -----Original Message-----
> > From: violajamison
> > Sent: Tuesday, May 17, 2011 7:35 AM
> > To: [email-masked]
> > Subject: [TI994A] Assembly Programming
> >
> > I'm about to venture into assembly. I have a question -
> >
> > Do assembly programmers actually program (from scratch) in assembly or do
>
> > they first write a program in basic/xbasic and convert it to assembly?
> >
> > Is it the same metod of programming (top/down) in assembly?
> >
> > Could I get some input from assembly programmers also if there's any
> > recommendations you can make regarding learing assembly programming?
> >
> > Thank you,
> >
> >
> >
> >
> > ------------------------------------
> >
> > Yahoo! Groups Links
> >
>
>   Back to top <#130022c23641f8df_toc>
>  Reply to sender
> <[email-masked]?Subject=Re%3A%20Assembly%20Programming> | Reply
> to group <[email-masked]?Subject=+Re%3A%20Assembly%20Programming>| Reply
> via web post
> <http://groups.yahoo.com/group/TI994A/post;_ylc=X3oDMTJyNXNqcWx0BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjMxBHNlYwNkbXNnBHNsawNycGx5BHN0aW1lAzEzMDU3MDY1MDU-?act=reply&messageNum=6231>
>  Messages in this topic
> <http://groups.yahoo.com/group/TI994A/message/6225;_ylc=X3oDMTM2MXUwZDRnBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjMxBHNlYwNkbXNnBHNsawN2dHBjBHN0aW1lAzEzMDU3MDY1MDUEdHBjSWQDNjIyNQ-->(6)
>   2a.   Re: Death of 99er.net forums
> <http://groups.yahoo.com/group/TI994A/message/6229;_ylc=X3oDMTJyb2t1NHJtBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI5BHNlYwNkbXNnBHNsawN2bXNnBHN0aW1lAzEzMDU3MDY1MDU-> Posted
> by: "ti994a.geo" [email-masked]
> <[email-masked]?Subject=+Re%3A%20Death%20of%2099er%2Enet%20forums>   ti994a.geo
> <http://profiles.yahoo.com/ti994a.geo>  Tue May 17, 2011 5:31 pm (PDT)
>
>
> Yes, to clarify, the spam is in my forums at 99er.net. It's amazing how
> much there is- the old board received 100's of fake registrations each day
> from automated spam-bots. Once the spam-bots get their registration
> approved, they post nonsense posts that have links to websites. If I'm not
> mistaken, the idea is to boost the search engine ranking of the posted
> websites. I had to approve all of the registrations on the old board by
> hand. On the new board, it's automatic since there's one of those tests (a
> captcha) that is supposed to weed out the spambots from real people.
>
> Thanks to Ben for volunteering to help me with the forums. I made him an
> administrator, so he's going to help me delete the spam that does make it to
> the board.
>
> Please feel free to visit and post/answer questions:
> http://www.99er.net/99erbb/index.php
>
> Thanks,
> Rich
>
> --- In [email-masked], Bryan Roppolo Boulder <brop99@...> wrote:
> >
> > Unless I am wrong, the 99er.net forums have nothing to do with Yahoo!
> > Groups, they are instead a forum that is hosted on Rich Polivka's website
> > and what is happening is that spammers are registering on his site for
> those
> > forums and in turn spamming them. We won't see the spam here, since this
> is
> > separate from Rich's TI forums.
> >
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf
> Of
> > Teresa Masters
> > Sent: Saturday, May 14, 2011 11:03 AM
> > To: [email-masked]
> > Subject: [TI994A] Re: Death of 99er.net forums
> >
> > Thought I would chime in a bit. I totally fault Yahoo Groups. The same
> > happened to another Yahoo group I had also joined many years ago. As soon
> as
> > I saw the spam, I followed yahoo's TOS and tried to contact the list
> owner,
> > many times, all to no avail. I then began to send the digest onto
> > ([email-masked]) When they answered it was the standard form
> letter
> > referring to TOS, etc.
> > At one point the site operator (and I doubt this very seriously now)
> posted
> > an apology letter and said she was very busy with something that would be
> > very beneficial to her readers. This proved to be a marketing plan for
> > grocery coupons, if I remember correctly, which needed a fee to
> participate.
> > To today, this site is still 99.9% spam, some of it nasty and vulgar.
> Once
> > in a while one dealer of gemstones will post, as this is a jewelry stone
> > group. Not sure he is even aware of what surrounds his ad.
> > This is more than a year now, I use a Mac and mark the message as "junk"
> and
> > "bounce" it. Yahoo has gone so far as to change the spam reporting system
> > they accept, it is far more difficult to forward the spam to them, so I
> no
> > longer do so. Just bounce it.
> >
> > Rich, have you considered moving the group to another Group Site? These
> > spybots look for lesser active group sites and send out their spam. As no
> > active reaction occurs, it becomes a happy hunting ground for all the low
> > life's out there.
> >
> > Sorry you are having this going on, catching it early and being proactive
> > may greatly help keep away more. Rich, I hope your elbow heals well, and
> > Ben, thanks for helping.
> > Hugs,
> > Terrie
> > Teresa Masters
> > www.metalsmith.co
> >
> >
> >
> >
> > ------------------------------------
> >
> > Yahoo! Groups Links
> >
>
>   Back to top <#130022c23641f8df_toc>
>  Reply to sender
> <[email-masked]?Subject=Re%3A%20Death%20of%2099er%2Enet%20forums> | Reply
> to group
> <[email-masked]?Subject=+Re%3A%20Death%20of%2099er%2Enet%20forums>| Reply
> via web post
> <http://groups.yahoo.com/group/TI994A/post;_ylc=X3oDMTJyYjByaTFiBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI5BHNlYwNkbXNnBHNsawNycGx5BHN0aW1lAzEzMDU3MDY1MDU-?act=reply&messageNum=6229>
>  Messages in this topic
> <http://groups.yahoo.com/group/TI994A/message/6126;_ylc=X3oDMTM2NG9rNGNpBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRtc2dJZAM2MjI5BHNlYwNkbXNnBHNsawN2dHBjBHN0aW1lAzEzMDU3MDY1MDUEdHBjSWQDNjEyNg-->(12)
>     Recent Activity
>
>    -   2
>    New Members<http://groups.yahoo.com/group/TI994A/members;_ylc=X3oDMTJnZWc0bmZ2BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDdnRsBHNsawN2bWJycwRzdGltZQMxMzA1NzA2NTA1?o=6>
>
>  Visit Your Group
> <http://groups.yahoo.com/group/TI994A;_ylc=X3oDMTJmOGZrNzRvBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDdnRsBHNsawN2Z2hwBHN0aW1lAzEzMDU3MDY1MDU->
>   Give Back
>
> Yahoo! for Good<http://us.lrd.yahoo.com/_ylc=X3oDMTJudXRnbGlpBF9TAzk3MzU5NzE1BF9wAzEEZ3JwSWQDMzIzMjEwNTkEZ3Jwc3BJZAMxNzA1MTE1Mzg2BHNlYwNuY21vZARzbGsDYnJhbmQEc3RpbWUDMTMwNTcwNjUwNQ--;_ylg=1/SIG=11314uv3k/**http%3A//brand.yahoo.com/forgood>
>
> Get inspired
>
> by a good cause.
>  Y! Toolbar
>
> Get it Free!<http://us.lrd.yahoo.com/_ylc=X3oDMTJwb3JmaHVnBF9TAzk3MzU5NzE1BF9wAzIEZ3JwSWQDMzIzMjEwNTkEZ3Jwc3BJZAMxNzA1MTE1Mzg2BHNlYwNuY21vZARzbGsDdG9vbGJhcgRzdGltZQMxMzA1NzA2NTA1;_ylg=1/SIG=11c6dvmk9/**http%3A//toolbar.yahoo.com/%3F.cpdl=ygrps>
>
> easy 1-click access
>
> to your groups.
>  Yahoo! Groups
>
> Start a group<http://groups.yahoo.com/start;_ylc=X3oDMTJwbHBjbDQyBF9TAzk3MzU5NzE1BF9wAzMEZ3JwSWQDMzIzMjEwNTkEZ3Jwc3BJZAMxNzA1MTE1Mzg2BHNlYwNuY21vZARzbGsDZ3JvdXBzMgRzdGltZQMxMzA1NzA2NTA1>
>
> in 3 easy steps.
>
> Connect with others.
>    Need to Reply?
>
> Click one of the "Reply" links to respond to a specific message in the
> Daily Digest.
>    Create New Topic
> <http://groups.yahoo.com/group/TI994A/post;_ylc=X3oDMTJmMmNzcm82BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNudHBjBHN0aW1lAzEzMDU3MDY1MDU->| Visit
> Your Group on the Web<http://groups.yahoo.com/group/TI994A;_ylc=X3oDMTJkMG11dG50BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNocARzdGltZQMxMzA1NzA2NTA1>
>  Messages<http://groups.yahoo.com/group/TI994A/messages;_ylc=X3oDMTJmdHV0NmFpBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNtc2dzBHN0aW1lAzEzMDU3MDY1MDU->|
> Files<http://groups.yahoo.com/group/TI994A/files;_ylc=X3oDMTJnNzZtcTBrBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNmaWxlcwRzdGltZQMxMzA1NzA2NTA1>|
> Photos<http://groups.yahoo.com/group/TI994A/photos;_ylc=X3oDMTJmZW5rbWp2BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNwaG90BHN0aW1lAzEzMDU3MDY1MDU->|
> Links<http://groups.yahoo.com/group/TI994A/links;_ylc=X3oDMTJnNmNhcjhxBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNsaW5rcwRzdGltZQMxMzA1NzA2NTA1>|
> Database<http://groups.yahoo.com/group/TI994A/database;_ylc=X3oDMTJkdWczOTloBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNkYgRzdGltZQMxMzA1NzA2NTA1>|
> Polls<http://groups.yahoo.com/group/TI994A/polls;_ylc=X3oDMTJnZ2YyMmI1BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNwb2xscwRzdGltZQMxMzA1NzA2NTA1>|
> Members<http://groups.yahoo.com/group/TI994A/members;_ylc=X3oDMTJmczIyMzIxBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNtYnJzBHN0aW1lAzEzMDU3MDY1MDU->|
> Calendar<http://groups.yahoo.com/group/TI994A/calendar;_ylc=X3oDMTJlMXNmazg1BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNjYWwEc3RpbWUDMTMwNTcwNjUwNQ-->
>  <http://groups.yahoo.com/;_ylc=X3oDMTJldTZnMGpzBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNnZnAEc3RpbWUDMTMwNTcwNjUwNQ-->
> Change settings via the Web<http://groups.yahoo.com/group/TI994A/join;_ylc=X3oDMTJnaWI1ZGN1BF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNzdG5ncwRzdGltZQMxMzA1NzA2NTA1>(Yahoo! ID required)
> Change settings via email: Switch delivery to Individual<[email-masked]?subject=Email+Delivery:+Indiviual+Email>| Switch
> format to Traditional<[email-masked]?subject=Change+Delivery+Format:+Traditional>
>  Visit Your Group
> <http://groups.yahoo.com/group/TI994A;_ylc=X3oDMTJlbGc5Y3RqBF9TAzk3MzU5NzE1BGdycElkAzMyMzIxMDU5BGdycHNwSWQDMTcwNTExNTM4NgRzZWMDZnRyBHNsawNocGYEc3RpbWUDMTMwNTcwNjUwNQ-->| Yahoo!
> Groups Terms of Use <http://docs.yahoo.com/info/terms/> | Unsubscribe
> <[email-masked]?subject=Unsubscribe>
>

-- 
Brian Tristam Williams

Johannesburg,
South Africa

"One man can make a difference."